Package org.zkoss.zkmax.bind.impl

## Class TrackerImplEx

- java.lang.Object
- - org.zkoss.bind.tracker.impl.TrackerImpl
  - - org.zkoss.zkmax.bind.impl.TrackerImplEx

- All Implemented Interfaces:
    `java.io.Serializable`, `Tracker`

      public class TrackerImplEx
      extends TrackerImpl

  Since:
    6.5.5
  Author:
    dennis, henrichen, jumperchen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `TrackerImplEx.EqualBeansMapEx` |

    - ### Nested classes/interfaces inherited from class org.zkoss.bind.tracker.impl.TrackerImpl

      `TrackerImpl.EqualBeansMap`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Map<Component,​java.util.Set<TrackerNode>>` | `_compTailMap` |

    - ### Fields inherited from class org.zkoss.bind.tracker.impl.TrackerImpl

      `_beanMap, _compMap, _equalBeansMap, _nullMap`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TrackerImplEx()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addBeanMap​(TrackerNode node, java.lang.Object value, java.lang.Object basePath)` |
    `void` | `addTracking​(Component comp, java.lang.String[] series, Binding binding)` | Add a tracking that associate a binding to a dot series under the specified `Component`
    `protected TrackerNode` | `getOrCreateTrackerNode​(Component comp, java.lang.String[] series)` |
    `protected java.lang.Object` | `getTargetValueAndReset()` |
    `protected java.util.Map<Component,​java.util.Map<java.lang.Object,​TrackerNode>>` | `initCompMap()` |
    `protected TrackerImpl.EqualBeansMap` | `newEqualBeansMap()` |
    `protected TrackerNode` | `newTrackerNode​(java.lang.Object script)` |
    `protected void` | `removeAllFromBeanMap​(java.util.Collection<TrackerNode> removed)` |
    `void` | `removeTrackings​(java.util.Set<Component> comps)` | Remove all tracking associated with the specified `Component` set.
    `void` | `removeTrackings​(Component comp)` | Remove all tracking associated with the specified `Component`.
    `void` | `setTargetValue​(java.lang.Object obj)` |

    - ### Methods inherited from class org.zkoss.bind.tracker.impl.TrackerImpl

      `addDependsOn, dump, dumpLess, getAllTrackerNodes, getDirectLoadBindings, getEqualBeans, getKidBaseLoadBindings, getLoadBindings, getTrackerNodePerComponentScript, removeAllFromNullMap, removeBeanMap, testEqualsBean, tieValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _compTailMap

          protected java.util.Map<Component,​java.util.Set<TrackerNode>> _compTailMap

  - ### Constructor Detail

    - #### TrackerImplEx

          public TrackerImplEx()

  - ### Method Detail

    - #### newEqualBeansMap

          protected TrackerImpl.EqualBeansMap newEqualBeansMap()

      Overrides:
        `newEqualBeansMap` in class `TrackerImpl`

    - #### setTargetValue

          public void setTargetValue​(java.lang.Object obj)

    - #### initCompMap

          protected java.util.Map<Component,​java.util.Map<java.lang.Object,​TrackerNode>> initCompMap()

      Overrides:
        `initCompMap` in class `TrackerImpl`

    - #### addTracking

          public void addTracking​(Component comp,
                                  java.lang.String[] series,
                                  Binding binding)

      Description copied from interface: `Tracker`
      Add a tracking that associate a binding to a dot series under the specified `Component`
      Specified by:
        `addTracking` in interface `Tracker`
      Overrides:
        `addTracking` in class `TrackerImpl`
      Parameters:
        `comp` - the component with the associated binding
        `series` - the dot series as an array of property name
        `binding` - the associated binding

    - #### newTrackerNode

          protected TrackerNode newTrackerNode​(java.lang.Object script)

      Overrides:
        `newTrackerNode` in class `TrackerImpl`

    - #### getTargetValueAndReset

          protected java.lang.Object getTargetValueAndReset()

    - #### addBeanMap

          protected void addBeanMap​(TrackerNode node,
                                    java.lang.Object value,
                                    java.lang.Object basePath)

      Overrides:
        `addBeanMap` in class `TrackerImpl`

    - #### removeAllFromBeanMap

          protected void removeAllFromBeanMap​(java.util.Collection<TrackerNode> removed)

      Overrides:
        `removeAllFromBeanMap` in class `TrackerImpl`

    - #### getOrCreateTrackerNode

          protected TrackerNode getOrCreateTrackerNode​(Component comp,
                                                       java.lang.String[] series)

      Overrides:
        `getOrCreateTrackerNode` in class `TrackerImpl`

    - #### removeTrackings

          public void removeTrackings​(java.util.Set<Component> comps)

      Description copied from interface: `Tracker`
      Remove all tracking associated with the specified `Component` set.
      Specified by:
        `removeTrackings` in interface `Tracker`
      Overrides:
        `removeTrackings` in class `TrackerImpl`
      Parameters:
        `comps` - the associated component set

    - #### removeTrackings

          public void removeTrackings​(Component comp)

      Description copied from interface: `Tracker`
      Remove all tracking associated with the specified `Component`.
      Specified by:
        `removeTrackings` in interface `Tracker`
      Overrides:
        `removeTrackings` in class `TrackerImpl`
      Parameters:
        `comp` - the associated component